import { Transaction } from 'symbol-sdk';
import { Addresses, ConfigPreset, NodeAccount } from '../model';
/**
 * params necessary to announce link transactions network.
 */
export declare type LinkParams = {
    target: string;
    readonly password?: string;
    url: string;
    maxFee: number;
    unlink: boolean;
};
export declare class LinkService {
    protected readonly params: LinkParams;
    static readonly defaultParams: LinkParams;
    private readonly configLoader;
    constructor(params: LinkParams);
    run(passedPresetData?: ConfigPreset | undefined, passedAddresses?: Addresses | undefined): Promise<void>;
    createTransactionsToAnnounce(epochAdjustment: number, addresses: Addresses, presetData: ConfigPreset): {
        node: NodeAccount;
        transactions: Transaction[];
    }[];
}
